-- base schema

create table doll_profiles (
    id uuid not null primary key,
    public_id integer not null, -- 000-000 format
    created_at timestamptz not null default current_timestamp,
    updated_at timestamptz,

    -- base info
    name varchar(255) not null,
    pronouns varchar(255) not null, -- not sure about this format
    handler_url text not null,

    -- customisation options for various entities
    kind varchar(255),
    breed varchar(255),
    chassis_type varchar(255),
    chassis_id varchar(255),
    chassis_color varchar(255),

    -- ID'ing
    behaviour varchar(255),
    microchipped boolean not null,

    unique (public_id)
);
